Xerces-C++ 3.2.5

Public Types | List of all members
XSIDCDefinition Class Reference

`#include <xercesc/framework/psvi/XSIDCDefinition.hpp>`

Inheritance diagram for XSIDCDefinition:

## Public Types
enum | IC_CATEGORY { IC_KEY = 1 , IC_KEYREF = 2 , IC_UNIQUE = 3 }

## Public Member Functions
Constructors
| XSIDCDefinition (IdentityConstraint *const identityConstraint, XSIDCDefinition *const keyIC, XSAnnotation *const headAnnot, StringList *const stringList, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSIDCDefinition ()
overridden XSXSObject methods
const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces.
const XMLCh * | getNamespace () const
| The [target namespace] of this object, or `null` if it is unspecified.
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e.
virtual XMLSize_t | getId () const
| Optional.
void | setId (XMLSize_t id)
| methods needed by implementation
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## XSIDCDefinition methods
IdentityConstraint * | fIdentityConstraint
XSIDCDefinition * | fKey
StringList * | fStringList
XSAnnotationList * | fXSAnnotationList
IC_CATEGORY | getCategory () const
| [identity-constraint category]: one of IC_KEY, IC_KEYREF or IC_UNIQUE.
const XMLCh * | getSelectorStr ()
| [selector]: a restricted XPath expression.
StringList * | getFieldStrs ()
| [fields]: a non-empty list of restricted XPath ([XPath]) expressions.
XSIDCDefinition * | getRefKey () const
| [referenced key]: required if [identity-constraint category] is IC_KEYREF, forbidden otherwise (when an identity-constraint definition with [ identity-constraint category] equal to IC_KEY or IC_UNIQUE).
XSAnnotationList * | getAnnotations ()
| A set of [annotations].

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Member Enumeration Documentation

## ◆ IC_CATEGORY

enum XSIDCDefinition::IC_CATEGORY

Enumerator
IC_KEY |
IC_KEYREF |
IC_UNIQUE |

## Constructor & Destructor Documentation

## ◆ XSIDCDefinition()

XSIDCDefinition::XSIDCDefinition | ( | IdentityConstraint *const | identityConstraint,
|  | XSIDCDefinition *const | keyIC,
|  | XSAnnotation *const | headAnnot,
|  | StringList *const | stringList,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  identityConstraint |
  keyIC |
  headAnnot |
  stringList |
  xsModel |
  manager | The configurable memory manager

## ◆ ~XSIDCDefinition()

XSIDCDefinition::~XSIDCDefinition | ( |  | ) |

## Member Function Documentation

## ◆ getAnnotations()

XSAnnotationList * XSIDCDefinition::getAnnotations | ( |  | ) |

A set of [annotations].

## ◆ getCategory()

IC_CATEGORY XSIDCDefinition::getCategory | ( |  | ) | const

[identity-constraint category]: one of IC_KEY, IC_KEYREF or IC_UNIQUE.

## ◆ getFieldStrs()

StringList * XSIDCDefinition::getFieldStrs | ( |  | ) |

[fields]: a non-empty list of restricted XPath ([XPath]) expressions.

References fStringList.

## ◆ getName()

const XMLCh * XSIDCDefinition::getName | ( |  | ) | const
| virtual

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented from XSObject.

## ◆ getNamespace()

const XMLCh * XSIDCDefinition::getNamespace | ( |  | ) | const
| virtual

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented from XSObject.

## ◆ getNamespaceItem()

XSNamespaceItem * XSIDCDefinition::getNamespaceItem | ( |  | ) |
| virtual

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented from XSObject.

## ◆ getRefKey()

XSIDCDefinition * XSIDCDefinition::getRefKey | ( |  | ) | const

[referenced key]: required if [identity-constraint category] is IC_KEYREF, forbidden otherwise (when an identity-constraint definition with [ identity-constraint category] equal to IC_KEY or IC_UNIQUE).

References fKey.

## ◆ getSelectorStr()

const XMLCh * XSIDCDefinition::getSelectorStr | ( |  | ) |

[selector]: a restricted XPath expression.

## Member Data Documentation

## ◆ fIdentityConstraint

IdentityConstraint* XSIDCDefinition::fIdentityConstraint
| protected

## ◆ fKey

XSIDCDefinition* XSIDCDefinition::fKey
| protected

Referenced by getRefKey().

## ◆ fStringList

StringList* XSIDCDefinition::fStringList
| protected

Referenced by getFieldStrs().

## ◆ fXSAnnotationList

XSAnnotationList* XSIDCDefinition::fXSAnnotationList
| protected

The documentation for this class was generated from the following file:

- XSIDCDefinition.hpp